summaryrefslogtreecommitdiff
path: root/dev-python/python-debian
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-19 01:46:11 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-10-19 01:46:11 +0000
commit7948df57c59772ad145f906c2e9a1a121ac9cdbd (patch)
tree1f80897bd71482d7c34a362b0a49adab81a9dc24 /dev-python/python-debian
parent701ed01438242faf99f324bc3583bc4c507b4c97 (diff)
downloadbaldeagleos-repo-7948df57c59772ad145f906c2e9a1a121ac9cdbd.tar.gz
baldeagleos-repo-7948df57c59772ad145f906c2e9a1a121ac9cdbd.tar.xz
baldeagleos-repo-7948df57c59772ad145f906c2e9a1a121ac9cdbd.zip
Adding metadata
Diffstat (limited to 'dev-python/python-debian')
-rw-r--r--dev-python/python-debian/Manifest1
-rw-r--r--dev-python/python-debian/python-debian-0.1.42.ebuild40
2 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/python-debian/Manifest b/dev-python/python-debian/Manifest
index d01aef71f708..7114386ff375 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
DIST python-debian_0.1.40.tar.xz 319952 BLAKE2B 4d5c2d3202ef09fc8eba4e0c4f9a5861d0662f288768cb9026e1ab43309a57fb21c0b8e87734c9310f39646e071947b31b17bd48b71510e7d783af9f337c3ed1 SHA512 73ed735a3c7bb43208aa26ea9fd64fc658e111dc201ae8c1947a4e5835ebd675e37b78d2895d72bd5ed2b6afa491e77b50bd5f10d62ea8299fbdda6c0b9e5095
+DIST python-debian_0.1.42.tar.xz 173928 BLAKE2B 615be084cba8ff11eaaefc1b40335b73a16604b864600dbeb717ba65ee94f1d3a62f845a59c3db5b915346de4211fdde811593db989b143f4d60e7b425b98d2d SHA512 923831077d0a42dafd22277579e714af33b99612e5282f5d95bc884b2faec05321f8caaad20b72b25ce88d8c2449a6a23913c5377ed0bdc30d4ef87e39341ff7
diff --git a/dev-python/python-debian/python-debian-0.1.42.ebuild b/dev-python/python-debian/python-debian-0.1.42.ebuild
new file mode 100644
index 000000000000..0064ad2018ff
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.42.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2011-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..10} )
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="https://salsa.debian.org/python-debian-team/python-debian"
+SRC_URI="mirror://debian/pool/main/${P:0:1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? ( app-arch/dpkg )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ # See debian/rules.
+ sed -e "s/__CHANGELOG_VERSION__/${PV}/" lib/debian/_version.py.in > lib/debian/_version.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ # See debian/rules.
+ ${EPYTHON} lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+ eunittest lib
+}